org.apache.ant.compress.taskdefs

## Class ArchiveBase.Mode

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.ant.compress.taskdefs.ArchiveBase.Mode

- Enclosing class:
    ArchiveBase

      public static final class ArchiveBase.Mode
      extends org.apache.tools.ant.types.EnumeratedAttribute

  Valid Modes for create/update/replace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CREATE` Create a new archive.
    `static java.lang.String` | `FORCE_CREATE` Create a new archive even if the target exists and seems up-to-date.
    `static java.lang.String` | `FORCE_REPLACE` Update an existing archive - replacing all existing entries with those from sources - even if the target exists and seems up-to-date.
    `static java.lang.String` | `REPLACE` Update an existing archive, replacing all existing entries with those from sources.
    `static java.lang.String` | `UPDATE` Update an existing archive.

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()`

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATE

          public static final java.lang.String CREATE

      Create a new archive.
      See Also:
        Constant Field Values

    - #### FORCE_CREATE

          public static final java.lang.String FORCE_CREATE

      Create a new archive even if the target exists and seems up-to-date.
      See Also:
        Constant Field Values

    - #### UPDATE

          public static final java.lang.String UPDATE

      Update an existing archive.
      See Also:
        Constant Field Values

    - #### REPLACE

          public static final java.lang.String REPLACE

      Update an existing archive, replacing all existing entries with those from sources.
      See Also:
        Constant Field Values

    - #### FORCE_REPLACE

          public static final java.lang.String FORCE_REPLACE

      Update an existing archive - replacing all existing entries with those from sources - even if the target exists and seems up-to-date.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Mode

          public Mode()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Specified by:
        `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`